Summary:	Disk management application
Summary(pl.UTF-8):	Aplikacja do zarządzania dyskami
Name:		gnome-disk-utility
Version:	3.10.0
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-disk-utility/3.10/%{name}-%{version}.tar.xz
# Source0-md5:	d89ad8a648a2003266737c00e36c40e6
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-settings-daemon-devel >= 3.6
BuildRequires:	gtk+3-devel >= 3.6.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libcanberra-gtk3-devel >= 0.1
BuildRequires:	libdvdread-devel >= 4.2.0
BuildRequires:	libpwquality-devel >= 1.0.0
BuildRequires:	libsecret-devel >= 0.7
BuildRequires:	libtool >= 2.2
BuildRequires:	lzma-devel >= 5.0.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	systemd-devel >= 44
BuildRequires:	tar >= 1:1.22
BuildRequires:	udisks2-devel >= 2.1.1
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.32.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	gnome-themes-standard
Requires:	gtk+3 >= 3.6.0
Requires:	hicolor-icon-theme
Requires:	udisks2 >= 2.1.1
Suggests:	openssh-gnome-askpass
Obsoletes:	gnome-disk-utility-apidocs
Obsoletes:	gnome-disk-utility-devel
Obsoletes:	gnome-disk-utility-libs
Obsoletes:	gnome-disk-utility-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%description -l pl.UTF-8
Ten pakiet zawiera aplikację do zarządzania dyskami Palimpsest.
Obsługuje ona partycjonowanie, tworzenie systemów plików, szyfrowanie,
RAID, monitorowanie SMART itp.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-3.0/*.{a,la}

%find_lang gnome-disk-utility

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache HighContrast
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache HighContrast
%update_icon_cache hicolor
%glib_compile_schemas

%files -f gnome-disk-utility.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/gnome-disk-image-mounter
%attr(755,root,root) %{_bindir}/gnome-disks
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libgdu-sd.so
%{_libdir}/gnome-settings-daemon-3.0/gdu-sd-plugin.gnome-settings-plugin
%{_datadir}/gnome-disk-utility
%{_desktopdir}/gnome-disk-image-mounter.desktop
%{_desktopdir}/gnome-disk-image-writer.desktop
%{_desktopdir}/gnome-disks.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gdu-sd.gschema.xml
%{_iconsdir}/HighContrast/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/gnome-disk-image-mounter.1*
%{_mandir}/man1/gnome-disks.1*
%changelog
* Sun Sep 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-disk-utility.git;a=log;h=master

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 9f05583
- Update to 3.10.0

* Thu Jun 06 2013 Marcin Banasiak <marcin.banasiak@gmail.com> d99944a
- Update to 3.8.2

* Thu Mar 28 2013 Łukasz Kieś <kiesiu@pld-linux.org> 9227020
- update to 3.8.0

* Tue Oct 09 2012 Marcin Banasiak <marcin.banasiak@gmail.com> dc44d60
- Updated to 3.6.1

* Mon Sep 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9fa1547
- updated to 3.6.0

* Tue May 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> a85b71a
- updated to 3.4.1

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 59203cd
- obsolete

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 8cc2ca5
- updated to 3.4.0; merged changes from DEVEL

* Fri Aug 19 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c53baab
- < 1.1.0, not 1.0.0, see: http://lists.freedesktop.org/archives/devkit-devel/2009-December/000568.html

* Fri Aug 19 2011 Elan Ruusamäe <glen@pld-linux.org> bd06f9c
- deps udisks author suggests, see
  http://lists.freedesktop.org/archives/devkit-devel/2009-December/000567.html

* Thu Jul 14 2011 Łukasz Kieś <kiesiu@pld-linux.org> 166163b
- updated to 3.0.2

* Tue Apr 05 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c0b38b5
- obsolete

* Tue Apr 05 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4e60bb3
- updated to 3.0.0; merged from DEVEL

* Sun Mar 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 35155a5
- en@shaw locale is now supported (via LANGUAGE)
- pl for base

* Sun Feb 27 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9e65cc6
- install nautilus module to extensions-3.0 directory

* Fri Feb 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5d15720
- fix linking

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> de184b4
- Requires(post,postun): gtk-update-icon-cache

* Thu Nov 18 2010 hawk <hawk@pld-linux.org> ecf6437
- skip_post_check_so is required for libgdu-gtk.so.0.0.0

* Sun Oct 03 2010 Marcin Banasiak <marcin.banasiak@gmail.com> f22f068
- added S: openssh-gnome-askpass

* Sat Oct 02 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 680cf99
- updated to 2.32.0
- disabled apidocs bcond (docs are not included in 2.32.0 tarball)

